<?php
$shortname = 'edge';
$images_url =  get_bloginfo('template_url') . '/bigwave/admin/images/';
$theme_images_url = get_bloginfo('template_url') . '/images/';

$edge_pages[0] = 'None';

$abc = array();

$options_per_group = get_option('edge_portfolio_cat_set');
$group_name = 'edge_portfolio_cat';
$total_groups = ceil(get_option($group_name) / $options_per_group);
 for ($i = 1; $i <= $total_groups; $i++) { 
 	$abc[]= get_option($group_name.'_name_'.$i);
 }
$theme_options = array(
	array(
		'type' => 'admin_open',
		'container' => false,
	),
	array(
		'type' => 'ul_open',
		'container' => false,
	),
	array(
		'type' => 'tab_li',
		'id' => '1',
		'name' => __('General settings','edge'),
		'container' => false,
	),
	array(
		'type' => 'tab_li',
		'id' => '2',
		'name' => __('Styling options','edge'),
		'container' => false,
	),
	array(
		'type' => 'ul_close',
		'container' => false,
	),
	array(
		'type' => 'tab_content_open',
		'id' => '1',
		'container' => false,
	),
	array(
		'type' => 'ul_open',
		'container' => false,
	),
	array(
		'type' => 'tab_li',
		'id' => '3',
		'name' => __('Header','edge'),
		'container' => false,
	),
	array(
		'type' => 'tab_li',
		'id' => '4',
		'name' => __('Homepage','edge'),
		'container' => false,
	),
	array(
		'type' => 'tab_li',
		'id' => '6',
		'name' => __('About Us Section','edge'),
		'container' => false,
	),
	array(
		'type' => 'tab_li',
		'id' => '8',
		'name' => __('Portfolio Section','edge'),
		'container' => false,
	),
	array(
		'type' => 'tab_li',
		'id' => '7',
		'name' => __('Services Section','edge'),
		'container' => false,
	),
	array(
		'type' => 'tab_li',
		'id' => '9',
		'name' => __('Blog Section','edge'),
		'container' => false,
	),
	array(
		'type' => 'tab_li',
		'id' => '10',
		'name' => __('Contact Section','edge'),
		'container' => false,
	),
	array(
		'type' => 'tab_li',
		'id' => '11',
		'name' => __('Footer','edge'),
		'container' => false,
	),
	array(
		'type' => 'ul_close',
		'container' => false,
	),
	array(
		'type' => 'tab_subcontent_open',
		'id' => '3',
		'container' => false,
	),	
	array(	"type" => "column_open",
			"class" => "three-col",
			"container" => false),
	array( 
		"name" => __("Custom logo",'edge'),
		"desc" => __("Upload a logo for your theme, or specify the image address of your online logo. ( http://example.com/logo.png )", "edge"),
		"id" => $shortname."_logo",
		"std" => '',
		"type" => "uploader"
	),
array(	"type" => "column_close",
		"container" => false),
	array(
		'type' => 'tab_subcontent_close',
		'container' => false,
	),
	array(
		'type' => 'tab_subcontent_open',
		'id' => '4',
		'container' => false,
	),
	array(
		"name" => __("Enable Home Section",'edge'),
		"desc" => __("Check to activate home section.",'edge'),
		"id" => $shortname."_enable_home_sec",
		"std" => "false",
		"type" => "checkbox"
	),
	array(
		"name" => __("Menu Name",'edge'),
		"desc" => __("Enter Menu name.",'edge'),
		"id" => $shortname.'_homepage_section_name',
		"std" => "",
		"type" => "text"
		),
	array(	
		"name" => __("Featured area style",'edge'),
		"desc" => __("Select the look of the featured homepage area. Each featured area style has additional options located in the boxes below.",'edge'),
		"id" => $shortname."_home_slider",
		"std" => "val2",
		"type" => "radio",
		"class" => "selection_box",
		"options" => 
	array(
		'val2' => 'Default featured slider',
		'val3' => 'Small featured slider',
	)),
	array(
		'name' => __('Default slider','edge'),
		'desc' => __('Easily build a featured slider for your homepage just the way you want it.','edge'),
		'id' => $shortname.'_default_slider',
		'type' => 'grouped_options',
		'container' => false,
		'std' => 0,
		'options' => 
	array(
	array(	
		"name" => __("Content",'edge'),
		"type" => "header",
		"container" => false),
	array(
		"name" => __("Slide title",'edge'),
		"desc" => __("Enter desired slide title.",'edge'),
		"id" => $shortname.'_default_slider_title',
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Slide text",'edge'),
		"desc" => __("Enter desired slide text.",'edge'),
		"id" => $shortname.'_default_slider_text',
		"std" => "",
		"type" => "textarea"
	),
	array(
		"name" => __("Slide image",'edge'),
		"desc" => __("You can upload an image for each slide in the dynamic slider. Image should be 1618 X 668 in size",'edge'),
		"id" => $shortname."_default_slider_img",
		"std" => "",
		"type" => "uploader"
	),
   ),
  ),
	
	array(
		'name' => __('Small slider Area','edge'),
		'desc' => __('Easily build a featured slider for your homepage just the way you want it. Image Should be 940 X 480 in size','edge'),
		'id' => $shortname.'_small_slider',
		'type' => 'grouped_options',
		'container' => false,
		'std' => 0,
		'options' => 
	array(
	array(	
		"name" => __("Content",'edge'),
		"type" => "header",
		"container" => false),
	array(
		"name" => __("Slide title",'edge'),
		"desc" => __("Enter desired slide title.",'edge'),
		"id" => $shortname.'_small_slider_title',
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Slide text",'edge'),
		"desc" => __("Enter desired slide text.",'edge'),
		"id" => $shortname.'_small_slider_text',
		"std" => "",
		"type" => "textarea"
	),
	array(
		"name" => __("Slide image",'edge'),
		"desc" => __("You can upload an image for each slide in the dynamic slider.",'edge'),
		"id" => $shortname."_small_slider_img",
		"std" => "",
		"type" => "uploader"
	),
   ),
  ),
	
	array(
		'type' => 'box_open',
		"name" => __("Homepage ",'edge'),
		'container' => false,
	),
	array(
		"type" => "column_open",
		"class" => "two-col",
		"container" => false
	),
	array(
		"name" => __("Header",'edge'),
		"desc" => __("You can give header to home area.",'edge'),
		"id" => $shortname."_home_header",
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Text",'edge'),
		"desc" => __("Discription for home section.",'edge'),
		"id" => $shortname."_home_text",
		"std" => "",
		"type" => "textarea"
	),
	array(
		"type" => "column_close",
		"container" => false
	),
	array(
		'type' => 'box_close',
		'container' => false,
	),
		
	array(
		'type' => 'tab_subcontent_close',
		'container' => false,
	),
		array(
		'type' => 'tab_subcontent_open',
		'id' => '6',
		'container' => false,
	),
	array(
		"name" => __("Enable About Us Section",'edge'),
		"desc" => __("Check to activate acbout us section.",'edge'),
		"id" => $shortname."_enable_about_sec",
		"std" => "false",
		"type" => "checkbox"
	),
	array(
		"name" => __("Menu Name",'edge'),
		"desc" => __("Enter Menu Name.",'edge'),
		"id" => $shortname.'_about_section_name',
		"std" => "",
		"type" => "text"
	),
		
	array(
		'type' => 'box_open',
		"name" => __("About Us Section ",'edge'),
		'container' => false,
	),
	array(
		"type" => "column_open",
		"class" => "three-col",
		"container" => false
	),
	array(
		"name" => __("Section Name",'edge'),
		"desc" => __("You can give diffrent name to about us section.",'edge'),
		"id" => $shortname."_about_sec_name",
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Heading",'edge'),
		"desc" => __("You can give header to about us area.",'edge'),
		"id" => $shortname."_about_header",
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Text",'edge'),
		"desc" => __("Discription for about section.",'edge'),
		"id" => $shortname."_about_text",
		"std" => "",
		"type" => "textarea"
	),
	array(
		"type" => "column_close",
		"container" => false
	),
	array(
		'type' => 'box_close',
		'container' => false,
	),
	array(
		'type' => 'box_open',
		"name" => __("Who We Are?",'edge'),
		'container' => false,
	),
	array(	
		"type" => "column_open",
		"class" => "two-col",
		"container" => false),
	
	array(
		"name" => __("Heading",'edge'),
		"desc" => __("Heading for who we are text area.",'edge'),
		"id" => $shortname.'_about_who_heading',
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Text",'edge'),
		"desc" => __("Discription for who we are text area.",'edge'),
		"id" => $shortname.'_about_who_text',
		"std" => "",
		"type" => "textarea"
	),
	array(
		"name" => __("Page url",'edge'),
		"desc" => __("Enter your page url to redirect.",'edge'),
		"id" => $shortname.'_about_who_url',
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Image",'edge'),
		"desc" => __("Upload an image for your about section. Image should be 380 X 260 in size.", "edge"),
		"id" => $shortname."_about_who_img",
		"std" => '',
		"type" => "uploader"
	),
	
	array(	
		"type" => "column_close",
		"container" => false),
	array(
		'type' => 'box_close',
		'container' => false,
	),
	array(
		'type' => 'box_open',
		"name" => __("What Our Process?",'edge'),
		'container' => false,
	),
	array(	
		"type" => "column_open",
		"class" => "three-col",
		"container" => false),
	array(
		"name" => __("Process 1 Name",'edge'),
		"desc" => __("Enter name of services provides by your organization.",'edge'),
		"id" => $shortname.'_about_what_p1_name',
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Process 1 url",'edge'),
		"desc" => __("Enter your page url to redirect.",'edge'),
		"id" => $shortname.'_about_what_p1_url',
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Image",'edge'),
		"desc" => __("Upload an image for your process.", "edge"),
		"id" => $shortname."_about_what_p1_img",
		"std" => '',
		"type" => "uploader"
	),
		array(
				"name" => __("Process 2 Name",'edge'),
				"desc" => __("Enter name of services provides by your organization.",'edge'),
				"id" => $shortname.'_about_what_p2_name',
				"std" => "",
				"type" => "text"
		),
		array(
				"name" => __("Process 2 url",'edge'),
				"desc" => __("Enter your page url to redirect.",'edge'),
				"id" => $shortname.'_about_what_p2_url',
				"std" => "",
				"type" => "text"
		),
		array(
				"name" => __("Image",'edge'),
				"desc" => __("Upload an image for your process.", "edge"),
				"id" => $shortname."_about_what_p2_img",
				"std" => '',
				"type" => "uploader"
		),
		array(
				"name" => __("Process 3 Name",'edge'),
				"desc" => __("Enter name of services provides by your organization.",'edge'),
				"id" => $shortname.'_about_what_p3_name',
				"std" => "",
				"type" => "text"
		),
		array(
				"name" => __("Process 3 url",'edge'),
				"desc" => __("Enter your page url to redirect.",'edge'),
				"id" => $shortname.'_about_what_p3_url',
				"std" => "",
				"type" => "text"
		),
		array(
				"name" => __("Image",'edge'),
				"desc" => __("Upload an image for your process.", "edge"),
				"id" => $shortname."_about_what_p3_img",
				"std" => '',
				"type" => "uploader"
		),
		array(
				"name" => __("Process 4 Name",'edge'),
				"desc" => __("Enter name of services provides by your organization.",'edge'),
				"id" => $shortname.'_about_what_p4_name',
				"std" => "",
				"type" => "text"
		),
		array(
				"name" => __("Process 4 url",'edge'),
				"desc" => __("Enter your page url to redirect.",'edge'),
				"id" => $shortname.'_about_what_p4_url',
				"std" => "",
				"type" => "text"
		),
		array(
				"name" => __("Image",'edge'),
				"desc" => __("Upload an image for your process.", "edge"),
				"id" => $shortname."_about_what_p4_img",
				"std" => '',
				"type" => "uploader"
		),
	array(
		"type" => "column_close",
		"container" => false),
	array(
		'type' => 'box_close',
		'container' => false,
	),
	array(
		'name' => __('Our Team','edge'),
		'desc' => __('Easily build a featured slider for your homepage just the way you want it.','edge'),
		'id' => $shortname.'_our_team',
		'type' => 'grouped_options',
		'container' => false,
		'std' => 0,
		'options' => array(
	array(	
		"name" => __("Content",'edge'),
		"type" => "header",
		"container" => false),
	array(
		"name" => __("Member Name",'edge'),
		"desc" => __("Enter desired slide title.",'edge'),
		"id" => $shortname.'_our_team_member_name',
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Designation Name",'edge'),
		"desc" => __("Enter desired slide title.",'edge'),
		"id" => $shortname.'_our_team_designation',
		"std" => "",
		"type" => "text"
	),
		
	array(
		"name" => __("Quote about Member",'edge'),
		"desc" => __("Enter desired slide text.",'edge'),
		"id" => $shortname.'_our_team_member_quote',
		"std" => "",
		"type" => "textarea"
	),
	array(	
		"name" => __("Slide image",'edge'),
		"desc" => __("You can upload an image for each slide in the dynamic slider. Image should be 300 X 300 in size.",'edge'),
		"id" => $shortname."_our_team_img",
		"std" => "",
		"type" => "uploader"
	),
	array(	
		"name" => __("Social Details",'edge'),
		"type" => "header",
		"container" => false),
	array(
		"name" => __("Facebook",'edge'),
		"desc" => __("Enter facebook page link for team member.",'edge'),
		"id" => $shortname.'_our_team_facebook',
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Twitter",'edge'),
		"desc" => __("Enter twitter page link for team member",'edge'),
		"id" => $shortname.'_our_team_twitter',
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Flickr",'edge'),
		"desc" => __("Enter flickr page link for team member",'edge'),
		"id" => $shortname.'_our_team_flickr',
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Linked In",'edge'),
		"desc" => __("Enter linked-in page link for team member",'edge'),
		"id" => $shortname.'_our_team_linked',
		"std" => "",
		"type" => "text"
	 ),
   ),

 ),
		
	array(
		'type' => 'tab_subcontent_close',
		'container' => false,
	),
	array(
		'type' => 'tab_subcontent_open',
		'id' => '7',
		'container' => false,
	),
	array(
		"name" => __("Enable Services Section",'edge'),
		"desc" => __("Check to activate services section.",'edge'),
		"id" => $shortname."_enable_services_sec",
		"std" => "false",
		"type" => "checkbox"
	),
	array(
		"name" => __("Menu Name",'edge'),
		"desc" => __("Enter Menu Name.",'edge'),
		"id" => $shortname.'_services_section_name',
		"std" => "",
		"type" => "text"
	),
		
	array(
		'type' => 'box_open',
		"name" => __("Service Section ",'edge'),
		'container' => false,
	),
	array(	
		"type" => "column_open",
		"class" => "three-col",
		"container" => false
	),
	array(	
		"name" => __("Section Name",'edge'),
		"desc" => __("You can give diffrent name to contact us section.",'edge'),
		"id" => $shortname."_services_sec_name",
		"std" => "Services",
		"type" => "text"
	),
	array(	
		"name" => __("Heading",'edge'),
		"desc" => __("You can give header to section area.",'edge'),
		"id" => $shortname."_services_header",
		"std" => "",
		"type" => "text"
	),
	array(	
		"name" => __("Text",'edge'),
		"desc" => __("Discription for service section.",'edge'),
		"id" => $shortname."_services_text",
		"std" => "",
		"type" => "textarea"
	),
	array(
		"type" => "column_close",
		"container" => false
	),
	array(
		'type' => 'box_close',
		'container' => false,
	),
	array(
		'name' => __('Add Service','edge'),
		'desc' => __('Add Services details.','edge'),
		'id' => $shortname.'_our_services',
		'type' => 'grouped_options',
		'container' => false,
		'std' => 0,
		'options' => array(
	array(
		"name" => __("Content",'edge'),
		"type" => "header",
		"container" => false
	),
	array(
		"name" => __("Service Title",'edge'),
		"desc" => __("Give title for service.",'edge'),
		"id" => $shortname.'_our_services_title',
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Discription",'edge'),
		"desc" => __("Enter discription for service.",'edge'),
		"id" => $shortname.'_our_services_discription',
		"std" => "",
		"type" => "text"
	),
	array(
			"name" => __("Service Logo",'edge'),
			"desc" => __("Upload a service Logo. Image should be 30 X 30 in size.", "edge"),
			"id" => $shortname."_our_services_logo",
			"std" => '',
			"type" => "uploader"
	),
   ),
  ),
	array(  'type' => 'tab_subcontent_close',
			'container' => false,
	),
	array(
		'type' => 'tab_subcontent_open',
		'id' => '8',
		'container' => false,
	),
	array(
		"name" => __("Enable Portfolio Section",'edge'),
		"desc" => __("Check to activate portfolio section.",'edge'),
		"id" => $shortname."_enable_portfolio_sec",
		"std" => "false",
		"type" => "checkbox"
	),
	array(
		"name" => __("Menu Name",'edge'),
		"desc" => __("Enter Menu Name.",'edge'),
		"id" => $shortname.'_portfolio_section_name',
		"std" => "",
		"type" => "text"
	),
		
	array(
		'type' => 'box_open',
		"name" => __("Portfolio section ",'edge'),
		'container' => false,
	),
	array(
		"type" => "column_open",
		"class" => "three-col",
		"container" => false
	),
	array(
		"name" => __("Section Name",'edge'),
		"desc" => __("You can give diffrent name to portfolio section.",'edge'),
		"id" => $shortname."_portfolio_sec_name",
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Heading",'edge'),
		"desc" => __("You can give header to portfolio area.",'edge'),
		"id" => $shortname."_portfolio_header",
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Text",'edge'),
		"desc" => __("Discription for portfolio section.",'edge'),
		"id" => $shortname."_portfolio_text",
		"std" => "",
		"type" => "textarea"
	),
	array(
		"type" => "column_close",
		"container" => false
	),
	array(
		'type' => 'box_close',
		'container' => false,
	),
	array(
		'name' => __('Create Portfolio','edge'),
		'desc' => __('Specify name for portfolio category.','edge'),
		'id' => $shortname.'_portfolio_cat',
		'type' => 'grouped_options',
		'container' => false,
		'std' => 0,
		'options' => array(
	array(
		"name" => __("Content",'edge'),
		"type" => "header",
		"container" => false
	),
	array(
		"name" => __("Category name",'edge'),
		"desc" => __("Give portfolio category name.",'edge'),
		"id" => $shortname.'_portfolio_cat_name',
		"std" => "",
		"type" => "text"
	),
	array(
		"name" => __("Category ID: ",'edge'),
		"desc" => __("Enter unique id of category.Such as 1,2,3 etc",'edge'),
		"id" => $shortname."_portfolio_cat_type_of_scr",
		"std" => "",
		"type" => "text"
	),
   ),
  ),
	array(
		'name' => __('Add Portfolio Screenshots','edge'),
		'desc' => __('Add portfolio details.','edge'),
		'id' => $shortname.'_new_portfolio',
		'type' => 'grouped_options',
		'container' => false,
		'std' => 0,
		'options' => array(
	array(
		"name" => __("Content",'edge'),
		"type" => "header",
		"container" => false
	),
	array(
		"name" => __("Select Category",'edge'),
		"desc" => __("Select category from dropdown under which you want to show this screenshots.",'edge'),
		"id" => $shortname."_new_portfolio_select_cat",
		"std" => "fade",
		"type" => "select",
		"options" => $abc
	),
	array(
		"name" => __("Screenshot",'edge'),
		"desc" => __("Upload a screenshot. Image should be 315 X 235 in size.", "edge"),
		"id" => $shortname."_new_portfolio_screenshot",
		"std" => '',
		"type" => "uploader"
	),
   ),
  ),
	array(
		'type' => 'tab_subcontent_close',
		'container' => false,
	),
		array(
				'type' => 'tab_subcontent_open',
				'id' => '9',
				'container' => false,
		),
		array(
				"name" => __("Enable Blog Section",'edge'),
				"desc" => __("Check to activate blog section.",'edge'),
				"id" => $shortname."_enable_blog_sec",
				"std" => "false",
				"type" => "checkbox"
		),
		array(
				"name" => __("Menu Name",'edge'),
				"desc" => __("Enter Menu Name.",'edge'),
				"id" => $shortname.'_blog_section_name',
				"std" => "",
				"type" => "text"
		),
		
		array(
				'type' => 'box_open',
				"name" => __("Blog Section ",'edge'),
				'container' => false,
		),
		array(
				"type" => "column_open",
				"class" => "three-col",
				"container" => false
		),
		array(
				"name" => __("Section Name",'edge'),
				"desc" => __("You can give name to blog section.",'edge'),
				"id" => $shortname."_blog_sec_name",
				"std" => "Blog",
				"type" => "text"
		),
		array(
				"name" => __("Heading",'edge'),
				"desc" => __("You can give heading to section area.",'edge'),
				"id" => $shortname."_blog_header",
				"std" => "",
				"type" => "text"
		),
		array(
				"name" => __("Text",'edge'),
				"desc" => __("Discription for blog section.",'edge'),
				"id" => $shortname."_blog_text",
				"std" => "",
				"type" => "textarea"
		),
		array(
				"type" => "column_close",
				"container" => false
		),
		array(
				'type' => 'box_close',
				'container' => false,
		),
		array(
				'type' => 'box_open',
				"name" => __("Select Blog",'edge'),
				'container' => false,
		),
		array(	
				"type" => "column_open",
				"class" => "three-col",
				"container" => false),
		array(	
				"name" => __("Blog section category",'edge'),
				"desc" => __("Select from what category to show posts in the homepage section.",'edge'),
				"id" => $shortname."_blog_category",
				"std" => "",
				"type" => "select_value",
				"options" => $edge_categories),
		
		array(	
				"name" => __("Posts entries",'edge'),
				"desc" => __("Select how many posts to show in the homepage blog section.",'edge'),
				"id" => $shortname."_blog_entries",
				"std" => "4",
				"type" => "select",
				"options" => array("4","8","12","16","20","24","28","32", "36")),
		array(	
				"type" => "column_close",
				"container" => false),
		array(
				'type' => 'box_close',
				'container' => false,
		),
		
		array(
				'type' => 'tab_subcontent_close',
				'container' => false,
		),
		array(
				'type' => 'tab_subcontent_open',
				'id' => '10',
				'container' => false,
		),
		array(
				"name" => __("Enable Contact Section",'edge'),
				"desc" => __("Check to activate contact section.",'edge'),
				"id" => $shortname."_enable_contact_sec",
				"std" => "false",
				"type" => "checkbox"
		),
		array(
				"name" => __("Menu Name",'edge'),
				"desc" => __("Enter Menu Name.",'edge'),
				"id" => $shortname.'_contact_section_name',
				"std" => "",
				"type" => "text"
		),
		array(
				"name" => __("Enable Contact Form",'edge'),
				"desc" => __("Enable/Disable to activate/deactivate contact form.",'edge'),
				"id" => $shortname."_enable_contact_form",
				"std" => "false",
				"type" => "checkbox"
		),
		array(	"name" => __("Email address of admin",'edge'),
				"desc" => __("You can give header to section area.",'edge'),
				"id" => $shortname."_contact_admin_email",
				"std" => "",
				"type" => "text"
		),
		array(
				'type' => 'box_open',
				"name" => __("Contact Section ",'edge'),
				'container' => false,
		),
		array(	"type" => "column_open",
				"class" => "three-col",
				"container" => false
		),
		array(	"name" => __("Section Name",'edge'),
				"desc" => __("You can give diffrent name to contact us section.",'edge'),
				"id" => $shortname."_contact_sec_name",
				"std" => "Contact Us",
				"type" => "text"
		),
		array(	"name" => __("Heading",'edge'),
				"desc" => __("You can give heading to section area.",'edge'),
				"id" => $shortname."_contact_header",
				"std" => "",
				"type" => "text"
		),
		array(	"name" => __("Text",'edge'),
				"desc" => __("Discription for contact section.",'edge'),
				"id" => $shortname."_contact_text",
				"std" => "",
				"type" => "textarea"
		),
		array(	"type" => "column_close",
				"container" => false
		),
		array(
				'type' => 'box_close',
				'container' => false,
		),
		array(
				'type' => 'box_open',
				"name" => __("Contact For Details ",'edge'),
				'container' => false,
		),
		array(	"type" => "column_open",
				"class" => "two-col",
				"container" => false
		),
		array(	"name" => __("Google Map Location",'edge'),
				"desc" => __("Display your loction on google map.",'edge'),
				"id" => $shortname."_google_map_loc",
				"std" => "",
				"type" => "text"
		),
		array(	"name" => __("Contact Information",'edge'),
				"desc" => __("Display contact information, you can add html code.",'edge'),
				"id" => $shortname."_contact_info",
				"std" => "",
				"type" => "textarea"
		),
		array(	"name" => __("Contact Number",'edge'),
				"desc" => __("Enter contact number to contact.",'edge'),
				"id" => $shortname."_contact_number",
				"std" => "",
				"type" => "text"
		),
		array(	"name" => __("Contact Fax",'edge'),
				"desc" => __("Enter contact fax to contact.",'edge'),
				"id" => $shortname."_contact_fax",
				"std" => "",
				"type" => "text"
		),
		array(	"name" => __("Email",'edge'),
				"desc" => __("Enter your organization email address.",'edge'),
				"id" => $shortname."_contact_email",
				"std" => "abc@exaple.com",
				"type" => "text"
		),
		array(	"name" => __("Website",'edge'),
				"desc" => __("Enter your organization website url.",'edge'),
				"id" => $shortname."_contact_web",
				"std" => "http://www.example.com",
				"type" => "text"
		),
		array(	"type" => "column_close",
				"container" => false
		),
		array(
				'type' => 'box_close',
				'container' => false,
		),
		array(
				'type' => 'box_open',
				"name" => __("Social Icons ",'edge'),
				'container' => false,
		),
		array(	"type" => "column_open",
				"class" => "three-col",
				"container" => false
		),
		array(	"name" => __("Facebook",'edge'),
				"desc" => __("Enter your organization facebook page address.",'edge'),
				"id" => $shortname."_contact_fb",
				"std" => "",
				"type" => "text"
		),
		array(	"name" => __("Twitter",'edge'),
				"desc" => __("Enter your organization twitter page address.",'edge'),
				"id" => $shortname."_contact_twit",
				"std" => "",
				"type" => "text"
		),
		array(	"name" => __("RSS",'edge'),
				"desc" => __("Enter your organization RSS Feed.",'edge'),
				"id" => $shortname."_contact_rss",
				"std" => "",
				"type" => "text"
		),
		array(	"name" => __("Linked-in",'edge'),
				"desc" => __("Enter your organization linked-in page address.",'edge'),
				"id" => $shortname."_contact_li",
				"std" => "",
				"type" => "text"
		),
		array(	"name" => __("YouTube",'edge'),
				"desc" => __("Enter your organization youtube page address.",'edge'),
				"id" => $shortname."_contact_you",
				"std" => "",
				"type" => "text"
		),
		
		array(	"type" => "column_close",
				"container" => false
		),
		array(
				'type' => 'box_close',
				'container' => false,
		),
		
		array(
				'type' => 'tab_subcontent_close',
				'container' => false,
		),
		array(
				'type' => 'tab_subcontent_open',
				'id' => '11',
				'container' => false,
		),
		array(
				'type' => 'box_open',
				"name" => __("Footer options",'edge'),
				'container' => false,
		),
		array(	
				"type" => "column_open",
				"class" => "three-col",
				"container" => false
		),
		array(	
				"name" => __("Footer copyright text",'edge'),
				"desc" => __("Add here text that you want to appear in the copyright line in the footer.",'edge'),
				"id" => $shortname."_copyright_footer",
				"std" => "Copyright &copy; 2015 &middot; All Rights Reserved &middot; club.wpeka.com",
				"type" => "text"
		),
		array(	
				"type" => "column_close",
				"container" => false
		),
		array(
				'type' => 'box_close',
				'container' => false,
		),
		
		array(
				'type' => 'tab_subcontent_close',
				'container' => false,
		),
	array(
		'type' => 'tab_content_close',
		'container' => false,
	),
	array(
		'type' => 'tab_content_open',
		'id' => '2',
		'container' => false,
	),
	array(
		'type' => 'ul_open',
		'container' => false,
	),
	array(
		'type' => 'tab_li',
		'id' => '9',
		'name' => __('General settings','edge'),
		'container' => false,
	),
	array(
		'type' => 'ul_close',
		'container' => false,
	),
	array(
		'type' => 'tab_subcontent_open',
		'id' => '9',
		'container' => false,
	),
	array(
		"name" => __("Theme stylesheet",'edge'),
		"desc" => __("Select the style scheme you would like to use for your theme.",'edge'),
		"id" => $shortname."_alt_stylesheet",
		"std" => "1-default.css",
		"type" => "radio",
		"options" => edge_get_files('/styles/'),
		"class" => "selection_box cufon_fonts_list"
	),
	array(
		'type' => 'tab_subcontent_close',
		'container' => false,
	),
	array(
		'type' => 'tab_content_close',
		'container' => false,
	),
	array(
		'type' => 'tab_content_close',
		'container' => false,
	),

);

update_option('edge_theme_options', $theme_options);
update_option('edge_shortname', $shortname);

/* Begin - Added by Pallavi on 25-04-13 to store value of options_per_group for dynamic slider --*/
update_option('edge_our_team_set','8');
update_option('edge_our_services_set','3');
update_option('edge_portfolio_cat_set','2');
update_option('edge_new_portfolio_set','2');
update_option('edge_small_slider_set','3');
update_option('edge_default_slider_set','3');
/* End - Added by Pallavi on 25-04-13 to store value of options_per_group for dynamic slider --*/
