<!doctype html>
<html>
<head>
<!--title start-->
<title><?php echo bloginfo('name');?></title>
<!--title end-->

<!-- meta tag start-->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- meta tag end-->
<!-- stylesheets css files -->
<?php global $theme_url;
$theme_url = get_bloginfo('template_url'); ?>
<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url')?>/style.css">
<?php 
 if (array_key_exists('style', $_GET) and $_GET['style'] and $_GET['style'] != '' )  
			$edge_alt_stylesheet = $_GET['style'].'.css';
	  else
	  		$edge_alt_stylesheet = get_option('edge_alt_stylesheet');	  
?>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo $theme_url; echo '/styles/' . $edge_alt_stylesheet; ?>" />

<!-- stylesheet end-->
<!--color changing css file-->
<link rel="stylesheet" id="theme-change" type="text/css" href="#">
<!--color changing css file end-->
<link href='http://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800' rel='stylesheet' type='text/css'>

<script>
var ajaxpath = '<?= get_bloginfo("template_url"); ?>';

</script>
</head>
<body onload="hide_preloader();" >
<div id="preloader">
  <div id="status"><img src="<?php echo $theme_url; ?>/images/loading.gif" id="preloader_image" alt="loader"></div>
</div>

<!--header start--> 

<!--header end--> 
<!--Default slider start--> 
<?php if(get_option('edge_home_slider') == 'val2' ) { ?>
<?php 		
    $default_options_per_group = get_option('edge_default_slider_set');
	$default_group_name = 'edge_default_slider';
	$default_total_groups = ceil(get_option($default_group_name) / $default_options_per_group);
?>
    
<div class="hs_slider_wrapper" id="home">
  <div class="page_section" id="main_slider">
    <div class="full_slider"> 
     
      <!-- START REVOLUTION SLIDER -->
      <div class="container-fluid hs_padding">
        <div class="tp-banner" >
     
          <ul>
          <?php for ($k = 1; $k <= $default_total_groups; $k++) { ?>
            <!-- SLIDE 1 Start  -->
            <li data-transition="fade" data-slotamount="5" data-masterspeed="700" > <img src="<?php echo get_option($default_group_name.'_img_'.$k); ?>" alt="slidebg1"  data-bgfit="cover" data-bgposition="center center" data-bgrepeat="no-repeat">
              <div class="hs_b">
                <h1><?php echo get_option($default_group_name.'_title_'.$k); ?></h1>
                <p><?php echo get_option($default_group_name.'_text_'.$k); ?></p>
                </div>
            </li>
            <?php } ?>
            <!-- SLIDE 1 END  --> 
     
          </ul>
          
          <div class="tp-bannertimer"></div>
        </div>
      </div>
      
      <!-- END REVOLUTION SLIDER --> 
      
    </div>
  </div>
</div>
<?php }?>
<!--Default slider end-->


<!-- Small-slider area start -->

<?php if(get_option('edge_home_slider') == 'val3' ) {?>
<?php 
		$small_options_per_group = get_option('edge_small_slider_set');
		$small_group_name = 'edge_small_slider';
		$small_total_groups = ceil(get_option($small_group_name) / $small_options_per_group);
?>

<div class="hs_main_page_wrapper" id="home">
  <div class="container">
    <div class="span12 hs_main_content_div"> 
      <!--slider div start-->
     
      <div class="span12 hs_left hs_slider_div" id="hs_box_slider">
        <ul class="bxslider">
         <?php for($g=1; $g<=$small_total_groups; $g++) { ?>
          <li>
            <div class="hs_slider_img"> <img src="<?php echo get_option($small_group_name.'_img_'.$g); ?>" alt="slider_1"> </div>
            <div class="hs_slider_content">
              <h2><?php echo get_option($small_group_name.'_title_'.$g); ?></h2>
              <p><?php echo get_option($small_group_name.'_text_'.$g); ?></p>
            </div>
          </li>
           <?php } ?>
        </ul>
      </div>
      
      </div>
      </div>
      </div>
<!-- Small-slider area end -->      
<?php } ?>